# Class OperandUsage

java.lang.Object
org.a11y.brlapi.OperandUsage

Direct Known Subclasses:
  `CursorPositionUsage, DisplayNumberUsage`

public class OperandUsage extends Object

## Constructor Summary

Constructors
Constructor
Description
`OperandUsage(String description)`

## Method Summary

Modifier and Type
Method
Description
`final OperandUsage`
`addWord(String word)`
`final OperandUsage`
`addWord(String word, int value)`
`final OperandUsage`
`addWord(String word, Integer value, String comment)`
`final OperandUsage`
`addWord(String word, String comment)`
`final StringBuilder`
`appendTo(StringBuilder usage)`
`final Integer`
`getDefaultValue()`
`final String`
`getDefaultWord()`
`final String`
`getOperandDescription()`
`final OperandUsage`
`setDefault(int value)`
`final OperandUsage`
`setDefault(String word)`
`final OperandUsage`
`setRange(int minimum, int maximum)`
`final OperandUsage`
`setRangeComment(String text)`
`final OperandUsage`
`setRangeMaximum(int maximum)`
`final OperandUsage`
`setRangeMinimum(int minimum)`
`final OperandUsage`
`setRangeUnits(String units)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OperandUsage

public OperandUsage(String description)

## Method Details

### getOperandDescription

public final String getOperandDescription()

### setRangeMinimum

public final OperandUsage setRangeMinimum(int minimum)

### setRangeMaximum

public final OperandUsage setRangeMaximum(int maximum)

### setRange

public final OperandUsage setRange(int minimum, int maximum)

### setRangeUnits

public final OperandUsage setRangeUnits(String units)

### setRangeComment

public final OperandUsage setRangeComment(String text)

### addWord

public final OperandUsage addWord(String word, Integer value, String comment)

### addWord

public final OperandUsage addWord(String word, String comment)

### addWord

public final OperandUsage addWord(String word, int value)

### addWord

public final OperandUsage addWord(String word)

### setDefault

public final OperandUsage setDefault(String word)

### setDefault

public final OperandUsage setDefault(int value)

### getDefaultWord

public final String getDefaultWord()

### getDefaultValue

public final Integer getDefaultValue()

### appendTo

public final StringBuilder appendTo(StringBuilder usage)

### toString

public String toString()

Overrides:
  `toString` in class `Object`